# BEGIN SourceDeps(oneline):
BuildRequires(pre): libGConf-devel
BuildRequires: /usr/bin/gconftool-2 /usr/bin/glib-gettextize pkgconfig(gconf-2.0) pkgconfig(libglade-2.0)
# END SourceDeps(oneline)
# Review: https://bugzilla.redhat.com/show_bug.cgi?id=549223

Name:           ignuit
Version:        0.0.16
Release:        alt1_6
Summary:        Memorization aid based on the Leitner flashcard system

Group:          Office
License:        GPLv3+ and GPLv2
URL:            http://crash.ihug.co.nz/~trmusson/programs.html
Source0:        http://crash.ihug.co.nz/~trmusson/stuff/ignuit-0.0.16.tar.gz

BuildRequires:  gstreamer-devel >= 0.10.18
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  intltool >= 0.40.0
BuildRequires:  libglade2-devel >= 2.6.2
BuildRequires:  libgnomeui-devel >= 2.22.0
BuildRequires:  libxslt-devel >= 1.1.22
BuildRequires:  rarian-compat
BuildRequires:  desktop-file-utils
BuildRequires:  GConf2
Requires:       gst-plugins-base
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2
Source44: import.info


%description
Ignuit is a memorization aid based on the Leitner flashcard system. It has a 
GNOME look and feel, a good selection of quiz options, and supports UTF-8. Cards
can include embedded audio, images, and mathematical formulae (via LaTeX). It 
can import and export several file formats, including CSV. Ignuit can be used 
for both long-term learning and cramming.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}
desktop-file-install                                    \
    --remove-key="Encoding"                             \
    --remove-key="MimeType"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop


%post
%gconf2_install %{name}


%preun
if [ "$1" -eq 0 ]; then
    %gconf2_uninstall  %{name}
fi


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING.extras NEWS README TODO examples
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/omf/%{name}/


%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.16-alt1_6
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.16-alt1_5
- initial fc import

